#ifndef __GTK_TREE_ITEM_PIX_H__
#define __GTK_TREE_ITEM_PIX_H__


#include <gdk/gdk.h>
#include <gtk/gtktreeitem.h>
#include <gtk/gtkpixmap.h>


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define GTK_TYPE_TREE_ITEM_PIX              (gtk_tree_item_pix_get_type ())
#define GTK_TREE_ITEM_PIX(obj)              (GTK_CHECK_CAST ((obj), GTK_TYPE_TREE_ITEM_PIX, GtkTreeItemPix))
#define GTK_TREE_ITEM_PIX_CLASS(klass)      (GTK_CHECK_CLASS_CAST ((klass), GTK_TYPE_TREE_ITEM_PIX, GtkTreeItemPixClass))
#define GTK_IS_TREE_ITEM_PIX(obj)           (GTK_CHECK_TYPE ((obj), GTK_TYPE_TREE_ITEM_PIX))
#define GTK_IS_TREE_ITEM_PIX_CLASS(klass)   (GTK_CHECK_CLASS_TYPE ((klass), GTK_TYPE_TREE_ITEM_PIX))

#define GTK_TREE_ITEM_PIX_SUBTREE(obj)      (GTK_TREE_ITEM_PIX(obj)->subtree)


typedef struct _GtkTreeItemPix       GtkTreeItemPix;
typedef struct _GtkTreeItemPixClass  GtkTreeItemPixClass;

struct _GtkTreeItemPix
{
  GtkTreeItem item;

  GtkWidget *current_pix_widget;
/*  GtkWidget *collapsed_pix_widget;
  GtkWidget *expanded_pix_widget; */
  GdkPixmap *collapsed_pixmap;
  GdkPixmap *current_pixmap;
  GdkPixmap *expanded_pixmap;
  GdkBitmap *collapsed_bitmap;
  GdkBitmap *current_bitmap;
  GdkBitmap *expanded_bitmap;

};

struct _GtkTreeItemPixClass
{
  GtkTreeItemClass parent_class;
};


GtkWidget* gtk_tree_item_pix_new (gchar *label);


#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __GTK_TREE_ITEM_PIX_H__ */
